package com.seatel.mobilehall.ui.home.model;

public class PaymentMethodModel {
    String paymentName;
    String paymentID;
    String paymentIcon;
    String description;
    String title;
    Double discountRate;
    String discountName;

    public PaymentMethodModel(String paymentName, String paymentID, String mIcon, String description, String title, Double discountRate, String discountName) {
        this.paymentName = paymentName;
        this.paymentID = paymentID;
        this.description = description;
        this.title = title;
        this.discountRate = discountRate;
        this.discountName = discountName;
        paymentIcon = mIcon;

    }

    public PaymentMethodModel() {
    }


    public String getPaymentName() {
        return paymentName;
    }

    public void setPaymentName(String paymentName) {
        this.paymentName = paymentName;
    }

    public String getPaymentID() {
        return paymentID;
    }

    public void setPaymentID(String paymentID) {
        this.paymentID = paymentID;
    }

    public String getPaymentIcon() {
        return paymentIcon;
    }

    public void setPaymentIcon(String imageResource) {
        paymentIcon = imageResource;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Double getDiscountRate() {
        return discountRate;
    }

    public void setDiscountRate(Double discountRate) {
        this.discountRate = discountRate;
    }

    public String getDiscountName() {
        return discountName;
    }

    public void setDiscountName(String discountName) {
        this.discountName = discountName;
    }

    @Override
    public String toString() {
        return "PaymentMethodModel{" + "paymentName='" + paymentName + '\'' + ", paymentID='" + paymentID + '\'' + ",description='" + description + '\'' + ",title='" + title + '\'' + ",discountRate='" + discountRate + '\'' + ",discountName='" + discountName + '\'' + ", ImageResource=" + paymentIcon + '}';
    }
}